<?php


////////
// #### Käännetään output-bufferointi päälle
//ini_set("output_buffering", 16000);
ob_start();

require_once('../varauspiste.initialize/initialize.php');
include_once('../varauspiste.siteapps/class_app/resource_product.class.php');
include_once(CLASS_CORE_PATH.'rowlist.class.php');
include_once(CLASS_CORE_PATH.'rowtreeparser.class.php');
include_once(CLASS_CORE_PATH.'menutree.class.php');

//#### Tarkasta onko tarve käynnistää sessio jollakin tietyllä sessio-id:llä
include_once(CLASS_CORE_PATH.'session_starter.class.php');
$sessionStarter = new Session_starter();
$sessionStarter->start();


header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
// HTTP/1.1
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
// HTTP/1.0
header("Pragma: no-cache");



//#### Liitetään kaikki luokkakirjastot
$classDir = dir(CLASS_CORE_PATH);
$file = $classDir->read();
while ($file) {
	if (substr($file, -10) == '.class.php') {
		include_once(CLASS_CORE_PATH.$file);
	}
	$file = $classDir->read();
}

$classDir = dir(CLASS_APP_PATH);
$file = $classDir->read();
while ($file) {
	if (substr($file, -10) == '.class.php') {
		include_once(CLASS_APP_PATH.$file);
	}
	$file = $classDir->read();
}


$root       = new Root;
$session    = new Session;
$newRequest = new urlparser();


$root->runAction($newRequest->getArray());



$sendLenght = false;
if ($session->getVar("____sitecore_first_time")) {
	$sendLenght = true;
}
$session->setVar("____sitecore_first_time", true);

$session->__destruct();

// #### Käännetäänn output-bufferointi pois ja tyhjennetään buffer

$_koko=ob_get_length();
if ($sendLenght) {
	header("Content-Length: ".$_koko);
	//new Debug($_SERVER['QUERY_STRING'] . ' Ja koko oli nääs: ' . $_koko);
}

//new Debug(strlen(htmlentities(ob_get_contents())));

ob_end_flush();


?>
